TARGET = SNI
INCLUDEPATH += .

contains( DEFINES, "TESTAPP" ) {
    message( "Building into an app." )
    TEMPLATE = app
}

else {
    TEMPLATE = lib
    CONFIG += staticlib
}

QT += dbus widgets

# Input
HEADERS += dbustypes.h
HEADERS += sniasync.h
HEADERS += statusnotifierbutton.h
HEADERS += statusnotifieriteminterface.h
HEADERS += statusnotifierwatcher.h
HEADERS += statusnotifierwidget.h
HEADERS += statusnotifieritem_adaptor.h
HEADERS += statusnotifieritem_interface.h

SOURCES += dbustypes.cpp
SOURCES += main.cpp
SOURCES += sniasync.cpp
SOURCES += statusnotifierbutton.cpp
SOURCES += statusnotifieriteminterface.cpp
SOURCES += statusnotifierwatcher.cpp
SOURCES += statusnotifierwidget.cpp
SOURCES += statusnotifieritem_adaptor.cpp
SOURCES += statusnotifieritem_interface.cpp

CONFIG += silent

CONFIG += link_pkgconfig
PKGCONFIG += dbusmenu-qt5

MOC_DIR 	= ./build/moc
OBJECTS_DIR = ./build/obj
RCC_DIR		= ./build/qrc
UI_DIR      = ./build/uic
